Package org.globus.common

# Class ResourceManagerContact

java.lang.Object
org.globus.common.ResourceManagerContact

public class ResourceManagerContact extends Object
The purpose of this class is to parse resource manager contact strings. It can handle literal IPv6 addresses enclosed in square brackets ('[' and ']').

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PORT`
`static final String`
`DEFAULT_SERVICE`
`protected String`
`globusDN`
`protected String`
`hostName`
`protected int`
`portNumber`
`protected String`
`serviceName`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ResourceManagerContact()`
``
`ResourceManagerContact(String contact)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convertDN(String globusDN)`
`String`
`getDN()`
`String`
`getGlobusDN()`
`String`
`getHostName()`
`int`
`getPortNumber()`
`String`
`getServiceName()`
`String`
`getSubject()`
`protected void`
`parse(String contact)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_SERVICE

public static final String DEFAULT_SERVICE

See Also:
  - Constant Field Values

### DEFAULT_PORT

public static final int DEFAULT_PORT

See Also:
  - Constant Field Values

### hostName

protected String hostName

### portNumber

protected int portNumber

### serviceName

protected String serviceName

### globusDN

protected String globusDN

## Constructor Details

### ResourceManagerContact

protected ResourceManagerContact()

### ResourceManagerContact

public ResourceManagerContact(String contact)

## Method Details

### parse

protected void parse(String contact)

### convertDN

public static String convertDN(String globusDN)

### getHostName

public String getHostName()

### getPortNumber

public int getPortNumber()

### getServiceName

public String getServiceName()

### getSubject

public String getSubject()

### getGlobusDN

public String getGlobusDN()

### getDN

public String getDN()

### toString

public String toString()

Overrides:
  `toString` in class `Object`